%global tarball_name proboscis

Name:           python-proboscis
Version:        1.2.6.0
Release:        12%{?dist}
Summary:        A test framework that extends Python's built-in unit test

Group:          Development/Languages
License:        ASL 2.0
URL:            https://github.com/rackerlabs/python-proboscis
Source0:        https://pypi.python.org/packages/source/p/%{tarball_name}/%{tarball_name}-%{version}.tar.gz
Source1:        LICENSE_PROBOSCIS
BuildArch:      noarch
BuildRequires:  python2-devel python2-setuptools

%global _description\
A test framework that extends Python’s built-in unit test module and Nose\
with features from TestNG, such as:\
\
- Uses decorators instead of naming conventions.\
- Allows for TestNG style test methods, in which a class is initialized once\
  as an alternative to using class fields (see the example below).\
- Allows for explicit test dependencies and skipping of dependent tests\
  on failures.\
- Runs xUnit style classes if desired or needed for backwards compatibility.\
- Uses Nose if available (but doesn't require it), and works with many of\
  its plugins.\
- Runs in IronPython and Jython (although if you're targeting the JVM you\
  should consider using TestNG instead).\


%description %_description

%package -n python2-proboscis
Summary: %summary
Requires:       python2-nose
%{?python_provide:%python_provide python2-proboscis}

%description -n python2-proboscis %_description

%prep
%setup -qn %{tarball_name}-%{version}
rm -fr %{tarball_name}.egg-info
mv README.rst README

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
%{__install} -p -m644 %SOURCE1 LICENSE

%files -n python2-proboscis
%{python2_sitelib}/*
%doc README LICENSE

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.2.6.0-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.6.0-9
- Python 2 binary package renamed to python2-proboscis
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6.0-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Nov 08 2013 Daniel Bruno <dbruno@fedoraproject.org> - 1.2.6.0-2
- Adjustments recommended in the review process

* Tue Oct 29 2013 Daniel Bruno <dbruno@fedoraproject.org> - 1.2.6.0-1
- First RPM release

